package com.lightinit.hsdatashow.service.topic.water;

import com.lightinit.hsdatashow.entity.StWaterLake;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.WaterqualityNameAndValueModel;
import com.lightinit.hsdatashow.model.topic.water.HeliuGaikuangReturnModel;
import com.lightinit.hsdatashow.model.topic.water.ListNameAndListValueModel;
import com.lightinit.hsdatashow.model.topic.water.ModelNameAndNameOrValue;
import com.lightinit.hsdatashow.model.topic.water.YueyongshuiReturnModel;

import java.math.BigDecimal;
import java.util.List;

public interface IHomeShowServer {


    ResultState getxunqiyujing();

    HeliuGaikuangReturnModel getHeliuGaikuang();

    ResultState getjinribaoyu();

    ResultState getjinrijiangyubianhua();

    int getRiverCount();

    BigDecimal getShangyueJiangyu();

    BigDecimal getShangyueYongshui();

    List<WaterqualityNameAndValueModel> getGequJiangshui();

    List<WaterqualityNameAndValueModel> getGequYongshui();

    BigDecimal getYongshui();

    ModelNameAndNameOrValue getGeshuikuYongshui();

    YueyongshuiReturnModel getYueyongshui();

    BigDecimal getRiverLength();

    StWaterLake getHengshuiHu();

    BigDecimal getHlXs();

    ListNameAndListValueModel getNongcunGongcheng();
}
